Bug Hunting Session
Bug 94076 - FILEOPEN: ODT - <style:style> Table styles not imported and not preserved after Roundtrip
Summary: FILEOPEN: ODT - <style:style> Table styles not imported and not preserved aft...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ODF-import Writer-Tables-Style
  Show dependency treegraph
 
Reported: 2015-09-09 21:03 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-07-14 02:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample doc (2.18 KB, application/vnd.oasis.opendocument.text)
2015-09-09 21:03 UTC, Yousuf Philips (jay) (retired)
Details
calligra 2.8.5 vs LO 5.1 master (130.16 KB, image/png)
2015-09-09 21:12 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-09-09 21:03:55 UTC
Created attachment 118561 [details]
sample doc

LibreOffice doesnt support the creation of table styles (bug 34391), but that doesnt mean that it should be able to load odf table styles and preserve it as table direct formatting, because the table style doesnt make it through when saving the file (aka Roundtripping).

Open the attached doc in Calligra and compare it with LO.

Version: 5.1.0.0.alpha1+
Build ID: eb2e1ab4651350bffc53f618961a910bd3bbcfd9
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-02_23:57:52
Locale: en-US (en_US.UTF-8)
Comment 1 Yousuf Philips (jay) (retired) 2015-09-09 21:12:06 UTC
Created attachment 118562 [details]
calligra 2.8.5 vs LO 5.1 master
Comment 2 Buovjaga 2015-09-18 15:25:13 UTC
Confirmed.

Win 7 Pro 64-bit, Version: 5.0.1.2 (32-bit)
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: fi-FI (fi_FI)
Comment 3 Yousuf Philips (jay) (retired) 2016-08-10 11:13:28 UTC
More table style sample docs can be found here for testing - http://www.vandenoever.info/tmp/2015/sep/table-properties/report.html
Comment 4 Yousuf Philips (jay) (retired) 2017-05-02 00:06:37 UTC
So the work done in GSoC 2016 didnt fix this issue.

Version: 5.4.0.0.alpha0+
Build ID: f0340e3dca1091accdb71e0c566b96cdf9e0f791
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-04-21_13:34:48
Locale: en-US (en_US.UTF-8); Calc: group
Comment 5 Yousuf Philips (jay) (retired) 2017-05-05 12:44:04 UTC
So ODT table styles are settable in /styles.xml either using <table:table-template> or with <style:style style:family="table">. LibreOffice now support <table:table-template> but doesnt with <style:style>.

@Regina: On import, can/should a <style:style> style be converted into a <table:table-template> style so it can utilized in the future table style editor dialog?
Comment 6 Xisco Faulí 2017-07-13 10:43:01 UTC
Setting Assignee back to default. Please assign it back to yourself if you're
still working on this issue
Comment 7 QA Administrators 2018-07-14 02:47:29 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug